      <div class="home">
          <form name="repas_saisie" action="index.php?uc=commande&action=valider" method="POST" autocomplete="off">
          <div id="Home_title_ss">
              <?php
              
            if ($solde < $prixRepas)
            {
                echo '<div id="Titles"><b>'.$_SESSION['ident'].'</b>'
                        . '<br />Solde = '.$solde.' €.</div>'
                        . '<div id="Home_title_struct">Veuillez recharger votre compte.'
                        . '<br />Crédit autorisé : '.$nbRepasPossibles.' repas</div>';
            }
            else {
                echo '<div id="Titles"><b>'.$_SESSION['ident'].'</b>'
                        . '<br />Solde = '.$solde." €, soit ".$nbRepasPossibles." repas</div>";
            }
 
            echo 'Commande repas du '.$ladateJMA.'</br></br>' ;
            echo '<input type="hidden" name="date" value="'.$ladateAMJ.'">' ;
              ?>
          </div>
          
         
        <?php
        if ($nbMenus == 1) $checked = " checked " ; else $checked = "" ;
        ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        //Code rajouté Maéven :

        //On regarde les menus proposés formule après formule
        foreach($lesFormules as $laFormule){
            $compteur = 1;
            echo '<p style="font-weight: bold;"> Formule n°'.$laFormule['idFormule'].' --- '.$laFormule['libelleFormule'].' ('.$laFormule['prixFormule'].'€) :</p>';
            while ($compteur <= $nbMenus){
                echo '<p> Menu n°'.$compteur.' : </p>';
                //On récupère la liste des menus de la formule d'au-dessus en les triant par numéro de menu    
                $lesMenusFormuleNumMenu = getLesMenusFormule($laFormule['idFormule'], $compteur, $ladateAMJ);
                foreach ($lesMenusFormuleNumMenu as $unMenu){
                    echo '<input type="radio" name="numMenu" value ="'.$unMenu['numMenu'].'"'.$checked.'>&nbsp;&nbsp;&nbsp;'.$unMenu['descriptionMenu'].'<br />' ;
                }
                $compteur++;
                echo '<br>';
            }
            echo '<br>';
        }

        echo '</br>
            <input type="submit" class="btn btn-info connectbt" name="valider" value="Valider">&nbsp;&nbsp;' ;      
        ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        ?>

        
        <?php
        echo '<br> <br>';
        ////////////////////////////////////////////////////////////////////////////////////////
        //Code ajouté Eliot (il y a des erreurs car pas assez de temps pour régler toutes les incohérences de code entre le code de Maéven et celui de Eliot)
        // Si un seul menu disponible, on le coche automatiquement
        if ($nbMenus == 1) $checked = " checked " ; else $checked = "" ;

        // On affiche chaque menu avec un bouton radio
        foreach ($lesMenus as $leMenu)
        {
            $idFormule = $leMenu['idFormule'];
            echo '<input type="radio" name="numMenu" value ="'.$leMenu['numMenu'].'"'.$checked.'>&nbsp;&nbsp;&nbsp;'.$leMenu['libelleFormule']. ' - ' .$leMenu['descriptionMenu'].'<br />';
            echo '<input type="hidden" name="idFormule" value="'.$idFormule.'">' ;
        }

        echo '</br>
            <input type="submit" class="btn btn-info connectbt" name="valider" value="Valider">&nbsp;&nbsp;' ;
        ////////////////////////////////////////////////////////////////////////////////////////
        ?>
        
          </form>
      </div>